Subject: bug#21698: accessing multiple flagged values with (ice-9 getopt-long)

From: [email-masked] (Ludovic Courtès)
Date: Fri, 24 Jun 2016 17:30:36 +0200

Hello,

Andy Wingo <[email-masked]> skribis:

> Thanks for the patch.  My instinct however is to point you towards
> SRFI-37, which in addition to supporting multiple argument values can
> also be used to fold over the precise argument order.  I just don't know
> that we should be expanding (ice-9 getopt-long); it has its use case and
> if your needs go beyond it, then probably your needs go way beyond it.
>
>   https://www.gnu.org/software/guile/manual/html_node/SRFI_002d37.html
>
> Ludovic, second opinions?

Seconded.  I think we should probably “freeze” (ice-9 getopt-long) and
recommend SRFI-37.

Ludo’.